io.vertx.rxjava.core.dns

## Class SrvRecord

- java.lang.Object
- - io.vertx.rxjava.core.dns.SrvRecord

-     public class SrvRecord
      extends Object

  Represent a Service-Record (SRV) which was resolved for a domain.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrvRecord(SrvRecord delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `String` | `name()` Returns the name for the server being queried.
    `static SrvRecord` | `newInstance(SrvRecord arg)`
    `int` | `port()` Returns the port the service is running on.
    `int` | `priority()` Returns the priority for this service record.
    `String` | `protocol()` Returns the protocol for the service being queried (i.e.
    `String` | `service()` Returns the service's name (i.e.
    `String` | `target()` Returns the name of the host for the service.
    `int` | `weight()` Returns the weight of this service record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SrvRecord

          public SrvRecord(SrvRecord delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### priority

          public int priority()

      Returns the priority for this service record.
      Returns:

    - #### weight

          public int weight()

      Returns the weight of this service record.
      Returns:

    - #### port

          public int port()

      Returns the port the service is running on.
      Returns:

    - #### name

          public String name()

      Returns the name for the server being queried.
      Returns:

    - #### protocol

          public String protocol()

      Returns the protocol for the service being queried (i.e. "_tcp").
      Returns:

    - #### service

          public String service()

      Returns the service's name (i.e. "_http").
      Returns:

    - #### target

          public String target()

      Returns the name of the host for the service.
      Returns:

    - #### newInstance

          public static SrvRecord newInstance(SrvRecord arg)

Copyright © 2016. All rights reserved.